<template>
	<mind-view>
		<template v-slot:toolbar-actions>
			<el-button 
				type="primary" 
				plain 
				icon="el-icon-new" 
				size="small" 
				@click="onNew()"
				>Nuevo
			</el-button>
		</template>
		<mind-table :data="RESOURCE_LIST" 
			row-key="id" 
			:row-class-name="tableRowClassName"
			:actions="{edit:true, delete:true}"
			@edit="onEdit"   @delete="onDelete">
			<template v-slot:filter="{form}">
				<el-row  >
					<el-col  :lg="12">
						<el-form-item label="Nombre">
							<el-input v-model="form.nombre"  />
						</el-form-item>
					</el-col>
					<el-col  :lg="12">
						<el-form-item label="Localidad">
							<el-input v-model="form.localidad"  />
						</el-form-item>
					</el-col>
					<el-col  :lg="12">
						<el-form-item label="Tipo">
							<el-select v-model="form.tipo">
								<el-option value="Lugar">Lugar</el-option>
								<el-option value="Calle">Calle</el-option>
							</el-select>
						</el-form-item>
					</el-col>
				</el-row>
			</template>
			<el-table-column sortable prop="nombre" label="Nombre"  />
			<el-table-column sortable prop="localidad" label="Localidad"  />
			<el-table-column sortable prop="tipo" label="Tipo"  />
			<el-table-column sortable prop="frecuente" label="Frecuente">
				<template v-slot="{row}">
					{{row.frecuente ? 'Si': 'No'}}
				</template>
			</el-table-column>
		</mind-table>
		<template v-slot:child>
			<router-view :key="$route.fullPath"  ></router-view>
		</template>
	</mind-view>
</template>

<script>
import lugares from '@/model/lugares'

export default {
  async created() {
		lugares.fetch({})
		.then((response)=>{
			this.RESOURCE_LIST = response.value
		})

	},
	methods: {
		onNew() {
			this.$router.push(`${this.$route.path}/new`)
		},
		onEdit(row) {
			this.$router.push(`${this.$route.path}/${row.id}`)
		},

		onDelete(row) {
			this.$confirm(`¿Eliminar el lugar ${row.nombre}?`, 'Atención', {
				confirmButtonText: 'OK',
				cancelButtonText: 'Cancelar',
				type: 'warning'
			}).then(async () => {
				this.selectedRow = null
				lugares.delete(row)
			}).catch(() => {
				this.$message({
					type: 'info',
					message: 'Eliminación Cancelada',
					duration: 1500,
				});
			});
		},


	},
	data() {
		return {
			RESOURCE_LIST: []
		}
	}

	
}



</script>